## command-vertex command-vertex |

## Synopsis

    const Boolean       command_vertex_equals               (const Object vertex_1,
                                                             const Object vertex_2);
    void                command_vertex_free                 (const Command_Vertex vertex);
    Command_Vertex      command_vertex_create               (const Command_Vertex_Data vertex_data);
    void                command_vertex_set_vertex_data      (const Command_Vertex vertex,
                                                             const Command_Vertex_Data vertex_data);
    const Command_Vertex_Data  command_vertex_get_vertex_data
                                                            (const Command_Vertex vertex);
    void                command_vertex_sort_by_stat         (const Command_Vertex vertex);
    const Command_Edge  command_vertex_get_edge             (const Command_Vertex vertex,
                                                             const Command_Edge edge);
    void                command_vertex_remove_edge          (const Command_Vertex vertex,
                                                             const Command_Edge edge);
    void                command_vertex_add_edge             (const Command_Vertex vertex,
                                                             const Command_Edge edge);
    const Arraylist     command_vertex_get_edges            (const Command_Vertex vertex);
    void                command_vertex_dump_text            (const Command_Vertex vertex,
                                                             FILE *stream);
    void                command_vertex_dump_binary          (const Command_Vertex vertex,
                                                             FILE *stream);

## Description

## Details

### command_vertex_equals ()

    const Boolean       command_vertex_equals               (const Object vertex_1,
                                                             const Object vertex_2);

`vertex_1` : |
`vertex_2` : |
Returns : |

### command_vertex_free ()

    void                command_vertex_free                 (const Command_Vertex vertex);

`vertex` : |

### command_vertex_create ()

    Command_Vertex      command_vertex_create               (const Command_Vertex_Data vertex_data);

`vertex_data` : |
Returns : |

### command_vertex_set_vertex_data ()

    void                command_vertex_set_vertex_data      (const Command_Vertex vertex,
                                                             const Command_Vertex_Data vertex_data);

`vertex` : |
`vertex_data` : |

### command_vertex_get_vertex_data ()

    const Command_Vertex_Data  command_vertex_get_vertex_data
                                                            (const Command_Vertex vertex);

`vertex` : |
Returns : |

### command_vertex_sort_by_stat ()

    void                command_vertex_sort_by_stat         (const Command_Vertex vertex);

`vertex` : |

### command_vertex_get_edge ()

    const Command_Edge  command_vertex_get_edge             (const Command_Vertex vertex,
                                                             const Command_Edge edge);

`vertex` : |
`edge` : |
Returns : |

### command_vertex_remove_edge ()

    void                command_vertex_remove_edge          (const Command_Vertex vertex,
                                                             const Command_Edge edge);

`vertex` : |
`edge` : |

### command_vertex_add_edge ()

    void                command_vertex_add_edge             (const Command_Vertex vertex,
                                                             const Command_Edge edge);

`vertex` : |
`edge` : |

### command_vertex_get_edges ()

    const Arraylist     command_vertex_get_edges            (const Command_Vertex vertex);

`vertex` : |
Returns : |

### command_vertex_dump_text ()

    void                command_vertex_dump_text            (const Command_Vertex vertex,
                                                             FILE *stream);

`vertex` : |
`stream` : |

### command_vertex_dump_binary ()

    void                command_vertex_dump_binary          (const Command_Vertex vertex,
                                                             FILE *stream);

`vertex` : |
`stream` : |